/* $Id: ignore.c,v 1.2 1999/02/20 09:56:52 zap Exp $
 * -----------------------------------------------------
 * Copyright (c) 1998-99 Sebastian Kienzl <zap@riot.org>
 * -----------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * read 'COPYING' for details.
 */

#include "muh.h"
#include "ignore.h"

typedef struct {
    char *hostname;
    int ttl;
    int type;
} ignore_type;

typedef ignore_type *pignore_type;

#define MAX_IGNORES 256
/* too many? well, i dont care - that struct takes about exactly 1k */

pignore_type ignores[ MAX_IGNORES ];

void add_ignore( char *hostname, int ttl, int type )
{
    int i;
    for( i = 0; i < MAX_IGNORES; i++ )
        if( ignores[ i ] && ( strcmp( ignores[ i ]->hostname, hostname ) == 0 ) && ( ignores[ i ]->type == type ) ) return;
    i = 0;
    while( ignores[ i ] && i < ( MAX_IGNORES - 1 ) ) i++;
    ignores[ i ] = ( pignore_type )malloc( sizeof( ignore_type ) );
    ignores[ i ]->hostname = ( char * )malloc( strlen( hostname ) + 1 );
    strcpy( ignores[ i ]->hostname, hostname );
    ignores[ i ]->ttl = ttl;
    ignores[ i ]->type = type;
}

void del_ignore( char *hostname )
{
    int i;
    for( i = 0; i < MAX_IGNORES; i++ )
        if( ignores[ i ] && ( strcmp( ignores[ i ]->hostname, hostname ) == 0 ) ) {
            free( ignores[ i ]->hostname );
            free( ignores[ i ] );
            ignores[ i ] = 0;
        }
}

void del_ignorebynumber( int i )
{
    if( ignores[ i ] ) {
        free( ignores[ i ]->hostname );
        free( ignores[ i ] );
        ignores[ i ] = 0;
    }
}


void process_ignores()
{
    int i;
    for( i = 0; i < MAX_IGNORES; i++ ) {
        if( ignores[ i ] ) {
            if( ignores[ i ]->ttl ) ignores[ i ]->ttl--;
            else del_ignorebynumber( i );
        }
    }
}

int is_ignore( char *hostname, int type )
{
    int i;
    for( i = 0; i < MAX_IGNORES; i++ )
        if( ignores[ i ] && ( strcmp( ignores[ i ]->hostname, hostname ) == 0 ) && ( ignores[ i ]->type == type ) ) return 1;
    return 0;
}
