/* $Id: messages.h,v 1.2 1999/02/20 09:56:52 zap Exp $
 * -----------------------------------------------------
 * Copyright (c) 1998-99 Sebastian Kienzl <zap@riot.org>
 * -----------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * read 'COPYING' for details.
 */

#ifndef ___MESSAGES___
#define ___MESSAGES___


/*
 * general
 */
#define FNF "unable to open file '%s'!\n"

/*
 * parsing-section
 */
#define PARSE_SE "syntax error at line %d!\n"
#define PARSE_UK "unknown keyword at line %d!\n"
#define PARSE_MK "keyword '%s' has not been set!\n"

/*
 * muh-messages
 */
#define MUH_PARSING "parsing configuration file...\n"
#define MUH_ERREXIT "terminating...\n\n"
#define MUH_SIGTERM "caught sigterm, terminating...\n"
#define MUH_OUTOFSERVERS "i'm out of servers, terminating...\n"
#define MUH_ERRFORK "unable to fork!\n\n"
#define MUH_FORKED "alrite, muh's forked. (pid %d)\n\n"
#define MUH_NOHOME "$HOME is not set!\n\n"
#define MUH_LEAVING "leaving channels...\n"
#define MUH_REINTRODUCE "reintroducing channels...\n"
#define MUH_JUMP "jumping to next server..."
#define MUH_DIE_CL "ouch."
#define MUH_DIE "dying...\n"
#define MUH_REHASH "rehashing..."
#define MUH_GOTNICK "cool, got nick '%s'!\n"

#define BANNER "\
-=======================================================================-\n\
 mUH version "VERSION", Copyright (c) 1998-99 Sebastian Kienzl <zap@scene.at>\n\
-=======================================================================-\n\
            This program comes with ABSOLUTELY NO WARRANTY!\n\
     This is free software, and you are welcome to redistribute it\n\
        under certain conditions. For details, read 'COPYING'.\n\
-=======================================================================-\n\n"

#define VERSIONREPLY "\1VERSION \2mUH v"VERSION"\2 by Sebastian N. Kienzl <zap@scene.at>\1"
#define TIMEREPLY "\1TIME time to buy a watch :)\1"
#define USERINFOREPLY "\1USERINFO weiss-hellbraun gefleckt, milchgebend.\1"
#define CLIENTINFOREPLY "\1CLIENTINFO GIBMILCH MUH KACK FURZ WIEDERKAEU BRUNZ LAUF SCHWANZWEDEL FRISS SAUF LECK\1"
#define FINGERREPLY "\1FINGER point that fucking finger up your ass!\1"


/*
 * socket-messages
 */
#define SOCK_ERROPEN "unable to create socket!\n"
#define SOCK_ERRBIND "unable to bind to port %d!\n"
#define SOCK_LISTENOK "listening on port %d.\n"
#define SOCK_CONNECT "tcp-connection to '%s' established!\n"
#define SOCK_ERRRESOLVE "unable to resolve '%s'!\n"
#define SOCK_ERRCONNECT "unable to connect to '%s'! (%s)\n"
#define SOCK_ERRWRITE "error while sending data to '%s'!\n"
#define SOCK_RECONNECT "trying to reconnect to '%s' in 5 seconds...\n"
#define SOCK_BIND "bound to %s...\n"

/*
 * irc-messages
 */
#define IRC_CONNECTED "connected to '%s'.\n"
#define IRC_ERRIN "'%s' is a invalid nickname - terminating!\n"
#define IRC_NICKINUSE "nickname '%s' is in use - using randomnickname '%s'.\n"
#define IRC_SERVERERROR "server-error! (%s)\n"

/*
 * client-related-messages
 */
#define CLNT_AUTHFAIL "authorization failed!\n"
#define CLNT_AUTHFAILNOTICE "Unsuccessful connect-attempt from '%s'!"
#define CLNT_AUTHOK "authorization successful!\n"
#define CLNT_AUTHTO "authorization timeout, dropped client.\n"
#define CLNT_DROP "dropped old client.\n"
#define CLNT_LEFT "client signed off.\n"
#define CLNT_STONED "disconnected from stoned client.\n"

#define CLNT_HAVEMSGS "\2You have messages.\2 (/MUH READ)"
#define CLNT_HAVENOMSGS "You don't have any messages!"
#define CLNT_KILLEDMSGS "Killed your messages."

#define CLNT_CAUGHT "caught client from '%s'.\n"
#define CLNT_RECONNECT "reconnection-attempt from '%s'.\n"
#define CLNT_DROPPED "client dropped connection.\n"
#define CLNT_DROPPEDUNAUTH "client dropped connection in authorization-state.\n"

/*
 * server-related-messages
 */
#define SERV_ERR "closed connection after server reported error.\n"
#define SERV_STONED "disconnected from stoned server.\n"
#define SERV_TRYING "trying server '%s' on port %d...\n"
#define SERV_DROPPED "server dropped connection!\n"


#define FILE_PID "pid"
#define FILE_LOG "log"
#define FILE_OLDLOG "log.old"
#define FILE_MESSAGES "messages"


#endif

