/* $Id: muh.h,v 1.2 1999/02/20 09:56:52 zap Exp $
 * -----------------------------------------------------
 * Copyright (c) 1998-99 Sebastian Kienzl <zap@riot.org>
 * -----------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * read 'COPYING' for details.
 */

#ifndef ___MUH___
#define ___MUH___

#include "../config.h"

#define WORKPATH "/.muh/"
#define MUHRC "muhrc"

#define NICKSIZE 40
#define VERSION "2.04"
#define MAXSERVERS 30
#define BUFFERSIZE 600
#define IGNORE_MESSAGE 0
#define IGNORE_CTCP 1

#ifdef STDC_HEADERS
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#else
#error "Standard c-headers are needed!!"
#endif

#if HAVE_FCNTL_H
#include <fcntl.h>
#endif

#if HAVE_UNISTD_H
#include <unistd.h>
#endif

#if HAVE_ERRNO_H
#include <errno.h>
#endif

#ifndef HAVE_SOCKET
#error "Socket-functions are not there."
#endif

#ifdef HAVE_SELECT_H
#include <sys/select.h>
#endif

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <signal.h>
#include <ctype.h>
#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#if !HAVE_RANDOM
#define random() (rand()/16)
#endif

#if !HAVE_SIGACTION     /* old "weird signals" */
#define sigaction sigvec
#ifndef sa_handler
#define sa_handler sv_handler
#define sa_mask sv_mask
#define sa_flags sv_flags
#endif
#endif

#if !HAVE_SIGEMPTYSET
#define sigemptyset(x) ((*(int *)(x))=0)
#endif

#if !HAVE_STRCASECMP
#define strcasecmp strcmp
#warning "strcasecmp() doesn't exist!! muh will not work properly under some circumstances!"
#endif

#if !HAVE_STRNCASECMP
#define strncasecmp strncmp
#warning "strcasecmp() doesn't exist!! muh will not work properly under some circumstances!"
#endif

typedef struct {
    char nickname[ NICKSIZE ];
    int	got_nick;
    int	passok;
    int init;
    int	supress;
    int allowconnect;
    int allowreply;
    int suppress;
    char idhostname[ 256 ]; /* ident@host where muh runs from */
} status_type;

typedef struct {
    int connected;
    char username[ 10 ];
    char hostname[ 256 ];
} client_info;

typedef struct {
    int	connected;
    char realname[ 100 ];
    char greeting[ 4 ][ 150 ];
    int amount;
    int current;
} server_info;

typedef struct {
    int listenport;
    int logging;
    int leave;
    int getnick;
    int antiidle;
    char password[ 20 ];
    char *home;
    char leavemsg[ 60 ];
    char bind[ 100 ];
    char awaynotice[ 200 ];
} cfg_type;

extern status_type status;
extern server_info i_server;
extern client_info i_client;
extern cfg_type cfg;


#endif
