/* $Id: tools.c,v 1.2 1999/02/20 09:56:52 zap Exp $
 * -----------------------------------------------------
 * Copyright (c) 1998-99 Sebastian Kienzl <zap@riot.org>
 * -----------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * read 'COPYING' for details.
 */

#include "muh.h"
#include "tools.h"

void upcase( char *what )
{
    char *doit;
    for( doit = what; *doit; doit++ ) *doit = toupper( *doit );
}

void randname( char *random, int length )
{
    int i;
    for( i = 0; i < length; i++ ) random[ i ] = (char)( 0x61 + ( rand() & 15 ) );
    random[ length ] = 0;
}

int pos( char *str, char what )
{
    int i = 0;
    while( str[ i ] ) {
        if( str[ i ] == what ) return i;
        i++;
    }
    return -1;
}

int lastpos( char *str, char what )
{
    int i = strlen( str );
    while( i > 0 ) {
        if( str[ i ] == what ) return i;
        i--;
    }
    return -1;
}

char *nextword( char *string )
{
    if( pos( string, ' ' ) < 0 ) return NULL;
    return string + pos( string, ' ' ) + 1;
}


char *lastword( char *from )
{
    char *seek;
    seek = from;
    while( pos( seek, ' ' ) >= 0 ) seek += ( pos( seek, ' ' ) + 1 );
    return seek;
}

char *getchan( char *from )
{
    if( pos( from, ' ' ) >= 0 ) {
        from += ( pos( from, ' ' ) + 1 );
        if( from[ 0 ] == '@' ) from++;
        if( from[ 0 ] == '+' && from[ 1 ] == '#' ) from++;
        return from;
    }
    else return NULL;
}

void gettimestamp( char *stamp )
{
    time_t t;
    char temp[ 30 ];
    time( &t );
    strcpy( temp, ctime( &t ) );
    strcpy( stamp, temp );
    temp[ 19 ] = 0;
    strcpy( stamp + 4, temp + 11 );
}

void report( char *format, ... )
{
    char buffer[ 150 ];
    char stamp[ 20 ];
    va_list	va;

    gettimestamp( stamp );
    va_start( va, format );
    vsnprintf( buffer, 149, format, va );
    va_end( va );
    fprintf( stdout, "[%s] + %s", stamp, buffer );
}

void error( char *format, ... )
{
    char buffer[ 150 ];
    char stamp[ 20 ];
    va_list	va;

    gettimestamp( stamp );
    va_start( va, format );
    vsnprintf( buffer, 149, format, va );
    va_end( va );
    fprintf( stdout, "[%s] - %s", stamp, buffer );
}

int ismodechan( char *channel )
{
    if( channel[ 0 ] == '#' || ( channel[ 0 ] == '+' && ( channel[ 1 ] != '#' && channel[ 1 ] != '&' ) ) ) return 0;
    else return 1;
}
